<template>
  <el-row>
    <el-row class="flexHcenter" v-if="filter_conf.url">
      <div v-if="filter_conf.redirect">
        <a
          :href="filter_conf.url"
          target="view_window"
          class="file_span talincenter"
          v-if="filter_conf.attachName || filter_conf.fileName"
        >{{filter_conf.attachName || filter_conf.fileName}}</a>
        <el-row v-else class="talincenter">点击前往</el-row>
      </div>
      <div v-else>
        <a
          :href="'/api/chainFileStore' + filter_conf.url"
          download
          class="file_span talincenter"
          v-if="filter_conf.attachName || filter_conf.fileName"
        >{{filter_conf.attachName || filter_conf.fileName}}</a>
        <el-row v-else class="talincenter">暂无附件</el-row>
      </div>
    </el-row>
    <el-row v-else>
      <el-row
        v-if="filter_conf.attachName || filter_conf.fileName"
        class="talincenter"
      >{{filter_conf.attachName || filter_conf.fileName}}</el-row>
      <el-row v-else class>暂无附件</el-row>
    </el-row>
  </el-row>
</template>

<script>
export default {
  props: ["conf"],
  computed: {
    filter_conf() {
      return this.conf && this.conf.attachment
        ? this.conf.attachment
        : this.conf || {};
    },
    id() {
      return "form" + parseInt(Math.random() * 100000);
    }
  },
  methods: {}
};
</script>

<style lang="less" scoped>
.file_span {
  color: #3990e9;
  cursor: pointer;
}
</style>
